// ------------------------------------------------------------------
// File.......: ff.v
// Author.....: Espen Stenersen
// Date.......: Tue Apr 15 11:45:16 CEST 2008
// Revision...: 1.0
// Description: Generic register with synchronous reset.
// ------------------------------------------------------------------

module ff 
(
	d,			// Data in.
	q,			// Data out.
	clk,		
	reset
);
   
	parameter WIDTH = 1;

 	// input(s)
	input [WIDTH-1:0]		d;
	input 					clk;
	input						reset;

	// output(s)
	output [WIDTH-1:0]	q;

	// reg(s)
	reg [WIDTH-1:0]		q;
	
	always @ (posedge clk) begin
		if (reset)
			q <= 0;
		else
			q <= d;
	end
	
endmodule // ff
