// ------------------------------------------------------------------
// File.......: reg_enable.v
// Author.....: Espen Stenersen
// Date.......: Tue Apr 15 10:31:28 CEST 2008
// Revision...: 1.0
// Description: Generic register with synchronous reset and enable.
// ------------------------------------------------------------------

`include "defines.v"

module reg_enable 
(
	d,			// Data in.
	q,			// Data out.
	enable,	// Enable bit.
	clk,		
	reset
);
   
	parameter WIDTH = `BUS;

 	// input(s)
	input [WIDTH-1:0]		d;
	input 					enable;
	input 					clk;
	input						reset;

	// output(s)
	output [WIDTH-1:0]	q;

	// wire(s)
	
	// reg(s)
	reg [WIDTH-1:0]		q;
	
	always @ (posedge clk) begin
		if (reset) begin
			q <= 0;
		end
		else if (enable) begin
			q <= d;
		end
	end
			
endmodule // reg_enable
