// ------------------------------------------------------------------
// File.......: reg_set.v
// Author.....: Espen Stenersen
// Date.......: Thu Apr 24 23:07:57 CEST 2008
// Revision...: 1.0
// Description: Generic register with syncrhonous set.
// ------------------------------------------------------------------

module reg_set 
(
	set,		// Input.
	q, 		// Output.
	clk,		
	reset
);
   
	parameter WIDTH = 1;

 	// input(s)
	input 	set;
	input		clk;
	input		reset;

	// output(s)
	output 	q;

	// wire(s)

	// reg(s)
	reg 		q;
	
	always @ (posedge clk) begin
		if (reset) begin
			q <= 0;
		end
		else if (set) begin
			q <= 1;
		end
		else begin
			q <= 0;
		end
	end

endmodule // reg_set
