// ------------------------------------------------------------------
// File.......: uns_mult.v
// Author.....: Espen Stenersen
// Date.......: Tue Apr 15 10:40:36 CEST 2008
// Revision...: 1.0
// Description: Unsigned multiplier used for significand 
//              multiplication.
// ------------------------------------------------------------------

`include "defines.v"

module uns_mult
(
	a,	//	Input, multiplicand.	
	b,	// Input, multiplier.
	p	// Output, product.
);

   
	parameter WIDTH = `FP64SW+1;

 	// input(s)
	input [WIDTH-1:0]		a;
	input	[WIDTH-1:0]		b;

	// output(s)
	output [2*WIDTH-1:0]	p;

	assign p = a * b;

endmodule // uns_mult
