// ------------------------------------------------------------------
// File.......: defines.v
// Author.....: Espen Stenersen
// Date.......: Wed May 14 11:45:28 CEST 2008
// Revision...: 1.0
// Description: Contains definitions used in the design files. 
//              Openrand widths, exponent widths, significand widths, 
//              bias values and bus widths.
// ------------------------------------------------------------------

`define FP16 			0
`define FP32 			1
`define FP64 			2

`define FP16W			16
`define FP32W			32
`define FP64W			64

`define FP16SW			10
`define FP32SW			23
`define FP64SW			52

`define FP16EW			5
`define FP32EW			8
`define FP64EW			11

`define FP16BIAS		15
`define FP32BIAS		127
`define FP64BIAS		1023

`define FRACBUS		2*(`FP64SW+1)
`define FRACBUSOUT 	154
`define EXPBUS			4*`FP32EW
`define EXPBUSOUT		20
`define SIGNBUS		4

`define BUS				128

`define EVEN			0
`define PINF			1
`define NINF			2
`define ZERO			3