// ------------------------------------------------------------------
// File.......: sign_unit.v
// Author.....: Espen Stenersen
// Date.......: Tue Apr 15 11:42:25 CEST 2008
// Revision...: 1.0
// Description: Sign computation unit.
// ------------------------------------------------------------------

module sign_unit 
(
	signs,		// Input signs from sign bus.
	signs_comp	// Output to sign bus.
);
   
	parameter SIGNBUS = 4;

 	// input(s)
	input [SIGNBUS-1:0]		signs;

	// output(s)
	output [SIGNBUS/2-1:0]	signs_comp;

	// wire(s)

	// reg(s)
	
	assign signs_comp[0] = signs[0] ^ signs[1];
	assign signs_comp[1] = signs[2] ^ signs[3];

endmodule // sign_unit
