# ------------------------------------------------------------------
# Author: 		Espen Stenersen.
# Date:			Spring 2008.
# Description: Analyze and elaborate script. Reads design files, 
#					analyzes and elaborates the design for architecture
#              one.
# ------------------------------------------------------------------

# ------------------------------------------------------------------
# Register types.
# ------------------------------------------------------------------

puts "\nAnalyzing and elaborating design...\n"

analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/ff.v
elaborate ff
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/reg_enable.v
elaborate reg_enable
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/reg_set.v
elaborate reg_set

# ------------------------------------------------------------------
# Sub-modules.
# ------------------------------------------------------------------

analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/chk_special.v
elaborate chk_special
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/uns_mult.v
elaborate uns_mult
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/exp_add.v
elaborate exp_add
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/rne.v
elaborate rne
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/sel_input.v
elaborate sel_input
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/sign_unit.v
elaborate sign_unit

# ------------------------------------------------------------------
# Super-modules.
# ------------------------------------------------------------------

analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/exp_unit.v
elaborate exp_unit
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/mult_unit.v
elaborate mult_unit
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/rne_unit.v
elaborate rne_unit
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/stage1.v
elaborate stage1
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/stage2.v
elaborate stage2
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/stage3.v
elaborate stage3
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/stage4.v
elaborate stage4

# ------------------------------------------------------------------
# Top module.
# ------------------------------------------------------------------
analyze -format verilog /home/espens/master/$DESIGN/verilog/rtl/vec_fp_mult.v
elaborate vec_fp_mult